org.keycloak.broker.oidc

## Class OIDCIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.broker.oidc.OIDCIdentityProviderConfig

-     public class OIDCIdentityProviderConfig
      extends OAuth2IdentityProviderConfig

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCIdentityProviderConfig(IdentityProviderModel identityProviderModel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCertificateSignatureVerifier()`
    `String` | `getIssuer()`
    `String` | `getLogoutUrl()`
    `String` | `getPrompt()`
    `String` | `getPublicKeySignatureVerifier()`
    `boolean` | `isValidateSignature()`
    `void` | `setCertificateSignatureVerifier(String signingCertificate)`
    `void` | `setIssuer(String issuer)`
    `void` | `setLogoutUrl(String url)`
    `void` | `setPrompt(String prompt)`
    `void` | `setPublicKeySignatureVerifier(String signingCertificate)`
    `void` | `setValidateSignature(boolean validateSignature)`

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientId, getClientSecret, getDefaultScope, getTokenUrl, getUserInfoUrl, setAuthorizationUrl, setClientId, setClientSecret, setDefaultScope, setTokenUrl, setUserInfoUrl`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getInternalId, getProviderId, isAuthenticateByDefault, isEnabled, isStoreToken, isUpdateProfileFirstLogin, setAlias, setAuthenticateByDefault, setConfig, setEnabled, setInternalId, setProviderId, setStoreToken, setUpdateProfileFirstLogin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCIdentityProviderConfig

          public OIDCIdentityProviderConfig(IdentityProviderModel identityProviderModel)

  - ### Method Detail

    - #### getPrompt

          public String getPrompt()

    - #### setPrompt

          public void setPrompt(String prompt)

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public void setIssuer(String issuer)

    - #### getLogoutUrl

          public String getLogoutUrl()

    - #### setLogoutUrl

          public void setLogoutUrl(String url)

    - #### getCertificateSignatureVerifier

          public String getCertificateSignatureVerifier()

    - #### setCertificateSignatureVerifier

          public void setCertificateSignatureVerifier(String signingCertificate)

    - #### getPublicKeySignatureVerifier

          public String getPublicKeySignatureVerifier()

    - #### setPublicKeySignatureVerifier

          public void setPublicKeySignatureVerifier(String signingCertificate)

    - #### isValidateSignature

          public boolean isValidateSignature()

    - #### setValidateSignature

          public void setValidateSignature(boolean validateSignature)

Copyright © 2015. All rights reserved.